LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSpinField Interface Referencepublished

gives access to the value of a spin field and makes it possible to register for spin events. More...

`import"XSpinField.idl";`

Inheritance diagram for XSpinField:

## Public Member Functions
void | addSpinListener ([in] com::sun::star::awt::XSpinListener l)
| registers a listener for spin events. More...
void | removeSpinListener ([in] com::sun::star::awt::XSpinListener l)
| unregisters a listener for spin events. More...
void | up ()
| increases the value by one step. More...
void | down ()
| decreases the value by one step. More...
void | first ()
| sets the value to the previously set lower value. More...
void | last ()
| sets the value to the previously set upper value. More...
void | enableRepeat ([in] boolean bRepeat)
| enables/disables automatic repeat mode. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the value of a spin field and makes it possible to register for spin events.

## Member Function Documentation

## ◆ addSpinListener()

void addSpinListener | ( | [in] com::sun::star::awt::XSpinListener | l | ) |

registers a listener for spin events.

## ◆ down()

void down | ( |  | ) |

decreases the value by one step.

## ◆ enableRepeat()

void enableRepeat | ( | [in] boolean | bRepeat | ) |

enables/disables automatic repeat mode.

## ◆ first()

void first | ( |  | ) |

sets the value to the previously set lower value.

## ◆ last()

void last | ( |  | ) |

sets the value to the previously set upper value.

## ◆ removeSpinListener()

void removeSpinListener | ( | [in] com::sun::star::awt::XSpinListener | l | ) |

unregisters a listener for spin events.

## ◆ up()

void up | ( |  | ) |

increases the value by one step.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XSpinField.idl